aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-chemistry/ccp4')
-rw-r--r--sci-chemistry/ccp4/Manifest19
-rw-r--r--sci-chemistry/ccp4/ccp4-5.99.5.ebuild377
-rw-r--r--sci-chemistry/ccp4/files/add-xdl-libdir.patch29
-rw-r--r--sci-chemistry/ccp4/files/ccp4-5.99.5-install-libs-at-install-time.patch40
-rw-r--r--sci-chemistry/ccp4/files/ccp4i-default-to-firefox.patch13
-rw-r--r--sci-chemistry/ccp4/files/check-blas-lapack-pthread.patch103
-rw-r--r--sci-chemistry/ccp4/files/clipper-find-mccp4-includes.patch11
-rw-r--r--sci-chemistry/ccp4/files/create-mosflm-bindir.patch10
-rw-r--r--sci-chemistry/ccp4/files/digest-ccp4-5.99.52
-rw-r--r--sci-chemistry/ccp4/files/dont-build-pdb-extract.patch21
-rw-r--r--sci-chemistry/ccp4/files/dont-build-rasmol.patch19
-rw-r--r--sci-chemistry/ccp4/files/dont-chmod-python-binary.patch14
-rw-r--r--sci-chemistry/ccp4/files/dont-make-dirs-in-configure.patch87
-rw-r--r--sci-chemistry/ccp4/files/make-ipmosflm-dir.patch10
-rw-r--r--sci-chemistry/ccp4/files/make-mosflm-cbf-libdir.patch11
-rw-r--r--sci-chemistry/ccp4/files/make-mosflm-index-libdir.patch10
-rw-r--r--sci-chemistry/ccp4/files/make-mosflm-libdir.patch10
-rw-r--r--sci-chemistry/ccp4/files/make-phaser-bindir.patch10
-rw-r--r--sci-chemistry/ccp4/files/no-phaser-ld-assume-kernel.patch15
-rw-r--r--sci-chemistry/ccp4/files/pass-clipper-enablevals.patch11
20 files changed, 822 insertions, 0 deletions
diff --git a/sci-chemistry/ccp4/Manifest b/sci-chemistry/ccp4/Manifest
new file mode 100644
index 0000000..67521db
--- /dev/null
+++ b/sci-chemistry/ccp4/Manifest
@@ -0,0 +1,19 @@
+MD5 6297a21e1e45183fe8df70e18c8f2c2d ccp4-5.99.5.ebuild 12167
+MD5 b25f261958764a4ef684582b517d63c5 files/add-xdl-libdir.patch 1545
+MD5 5d4c15532a50ac2e00b68f9a57ce79f2 files/ccp4-5.99.5-install-libs-at-install-time.patch 890
+MD5 b7c4c90e38ef49651876128a209b4546 files/ccp4i-default-to-firefox.patch 717
+MD5 a9fd6533dc70e2c88e4623509e20c30b files/check-blas-lapack-pthread.patch 5335
+MD5 cee8a62b63386a13f4276cab7bf09260 files/clipper-find-mccp4-includes.patch 491
+MD5 fcf801c9c9f1cc7f35294ff95776ff5e files/create-mosflm-bindir.patch 438
+MD5 934ef33e2fc72b4c4ba6ec4fbc3d7122 files/digest-ccp4-5.99.5 129
+MD5 de25d6e610b32fbe607f62914e83a229 files/dont-build-pdb-extract.patch 914
+MD5 8638a4880d926711233e53382f35205a files/dont-build-rasmol.patch 725
+MD5 12cd3967d76e228401cfcd8d156e924d files/dont-chmod-python-binary.patch 606
+MD5 898701d32b28c3916d4374a6c58ef7b9 files/dont-make-dirs-in-configure.patch 2780
+MD5 5c89d8a6c5570d442a71a8c598a80f72 files/make-ipmosflm-dir.patch 375
+MD5 962cb5c0c55797f865254e4dc374183b files/make-mosflm-cbf-libdir.patch 415
+MD5 e38e0ef05c30c16148e8319e0bb0977d files/make-mosflm-index-libdir.patch 358
+MD5 703cb01ad626d4dbf4176a18ea5269a1 files/make-mosflm-libdir.patch 371
+MD5 88b9b19d31b2128746bb99fc27882357 files/make-phaser-bindir.patch 380
+MD5 e74f4860f9f1c929c3b4d4e06fba68e9 files/no-phaser-ld-assume-kernel.patch 581
+MD5 bcdb856dae7ea7b22d130474f6c17b7d files/pass-clipper-enablevals.patch 501
diff --git a/sci-chemistry/ccp4/ccp4-5.99.5.ebuild b/sci-chemistry/ccp4/ccp4-5.99.5.ebuild
new file mode 100644
index 0000000..65fc05e
--- /dev/null
+++ b/sci-chemistry/ccp4/ccp4-5.99.5.ebuild
@@ -0,0 +1,377 @@
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit fortran eutils gnuconfig
+
+FORTRAN="g77 ifc"
+
+DESCRIPTION="Protein X-ray crystallography toolkit"
+HOMEPAGE="http://www.ccp4.ac.uk/"
+SRC_URI="ftp://ftp.ccp4.ac.uk/ccp4/${PV}/packed/${PN}-core.tar.gz"
+# ftp://ftp.ccp4.ac.uk/ccp4/${PV}/packed/phaser-cctbx.tar.gz"
+# ftp://ftp.ccp4.ac.uk/ccp4/${PV}/prerelease/${P}_gfortran.tar.gz"
+LICENSE="ccp4"
+SLOT="0"
+KEYWORDS="~ppc ~x86"
+IUSE="X"
+# app-office/sc overlaps sc binary and man page
+# We can't rename ours since the automated ccp4i interface expects it there,
+# as do many scripts. app-office/sc can't rename its because that's the name
+# of the package.
+RDEPEND="X? (
+ || (
+ (
+ x11-libs/libX11
+ x11-libs/libXt
+ x11-libs/libXaw
+ )
+ virtual/x11
+ )
+ )
+ >=dev-lang/tcl-8.3
+ >=dev-lang/tk-8.3
+ >=dev-tcltk/blt-2.4
+ virtual/lapack
+ virtual/blas
+ =sci-libs/fftw-2*
+ sci-chemistry/pdb-extract
+ sci-chemistry/rasmol
+ sci-libs/mccp4
+ app-shells/tcsh
+ !app-office/sc"
+DEPEND="${RDEPEND}
+ X? (
+ || (
+ (
+ x11-misc/imake
+ x11-proto/inputproto
+ x11-proto/xextproto
+ )
+ virtual/x11
+ )
+ )"
+
+src_unpack() {
+ unpack ${A}
+
+# These two only needed when attempting to install outside build dir via
+# --bindir and --libdir instead of straight copying after build
+ # it attempts to install some libraries during the build
+# epatch ${FILESDIR}/${P}-install-libs-at-install-time.patch
+ # hklview/ipdisp.exe/xdlmapman/ipmosflm can't find libxdl_view
+ # without this patch when --libdir is set
+ # Rotgen still needs more patching to find it
+# epatch ${FILESDIR}/add-xdl-libdir.patch
+
+ # it tries to create libdir, bindir etc on live system in configure
+ epatch ${FILESDIR}/dont-make-dirs-in-configure.patch
+
+ # We already have sci-chemistry/rasmol
+ epatch ${FILESDIR}/dont-build-rasmol.patch
+
+ # We already have sci-chemistry/pdb-extract
+# Use configure option instead
+# epatch ${FILESDIR}/dont-build-pdb-extract.patch
+
+ epatch ${FILESDIR}/create-mosflm-bindir.patch
+ epatch ${FILESDIR}/make-mosflm-libdir.patch
+ epatch ${FILESDIR}/make-mosflm-index-libdir.patch
+ epatch ${FILESDIR}/make-mosflm-cbf-libdir.patch
+ epatch ${FILESDIR}/make-ipmosflm-dir.patch
+
+# Don't use these when we aren't building phaser
+# epatch ${FILESDIR}/make-phaser-bindir.patch
+# epatch ${FILESDIR}/no-phaser-ld-assume-kernel.patch
+# # scons config.py tries to chmod python on live system
+# epatch ${FILESDIR}/dont-chmod-python-binary.patch
+
+ # Don't use this when we aren't building clipper
+ # For some reason clipper check for $enableval even when --enable is passed
+ epatch ${FILESDIR}/pass-clipper-enablevals.patch
+ epatch ${FILESDIR}/clipper-find-mccp4-includes.patch
+
+ # Default to firefox browser, not 'netscape'
+ epatch ${FILESDIR}/ccp4i-default-to-firefox.patch
+
+ # Also use -lpthread when linking blas and lapack
+ # We may need more fixing to use libcblas for the C files
+ epatch ${FILESDIR}/check-blas-lapack-pthread.patch
+
+ gnuconfig_update
+}
+
+src_compile() {
+ # GENTOO_OSNAME can be one of:
+ # irix irix64 sunos sunos64 aix hpux osf1 linux freebsd
+ # linux_compaq_compilers linux_intel_compilers generic Darwin
+ # ia64_linux_intel Darwin_ibm_compilers linux_ibm_compilers
+ if [[ "${FORTRANC}" = "ifc" ]]; then
+ if use ia64; then
+ GENTOO_OSNAME="ia64_linux_intel"
+ else
+ # Should be valid for x86, maybe amd64
+ GENTOO_OSNAME="linux_intel_compilers"
+ fi
+ else
+ # Should be valid for x86 and amd64, at least
+ GENTOO_OSNAME="linux"
+ fi
+
+ # Sets up env
+ ln -s \
+ ccp4.setup-bash \
+ ${S}/include/ccp4.setup
+
+ # We agree to the license by emerging this, set in LICENSE
+ sed -i \
+ -e "s~^\(^agreed=\).*~\1yes~g" \
+ ${S}/configure
+
+ # Fix up variables -- need to reset CCP4_MASTER at install-time
+ sed -i \
+ -e "s~^\(setenv CCP4_MASTER.*\)/xtal~\1${WORKDIR}~g" \
+ -e "s~^\(setenv CCP4I_TCLTK.*\)/usr/local/bin~\1/usr/bin~g" \
+ ${S}/include/ccp4.setup*
+
+ # Set up variables for build
+ source ${S}/include/ccp4.setup
+
+ export CC=$(tc-getCC)
+ export CXX=$(tc-getCXX)
+ export COPTIM=${CFLAGS}
+ export CXXOPTIM=${CXXFLAGS}
+ # Default to -O2 if FFLAGS is unset
+ export FC=${FORTRANC}
+ export FOPTIM=${FFLAGS:- -O2}
+
+ # Can't use econf, configure rejects unknown options like --prefix
+ ./configure \
+ $(use_enable X x) \
+ --with-shared-libs \
+ --with-fftw=/usr \
+ --with-warnings \
+ --disable-pdb_extract \
+ --disable-cctbx \
+ --disable-phaser \
+ ${GENTOO_OSNAME} || die "econf failed"
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+# Only needed when using --bindir and --libdir
+ # Needed to avoid errors. Originally tried to make lib and bin
+ # in configure script, now patched out by dont-make-dirs-in-configure.patch
+# dodir /usr/include /usr/$(get_libdir) /usr/bin
+
+ make install || die "install failed"
+
+ # Fix env
+ sed -i \
+ -e "s~^\(setenv CCP4_MASTER.*\)${WORKDIR}~\1/usr~g" \
+ -e "s~^\(setenv CCP4.*\$CCP4_MASTER\).*~\1~g" \
+ -e "s~^\(setenv CCP4I_TOP\).*~\1 \$CCP4/$(get_libdir)/ccp4/ccp4i~g" \
+ -e "s~^\(.*setenv CINCL.*\$CCP4\).*~\1/$(get_libdir)/ccp4/include~g" \
+ -e "s~^\(.*setenv CLIBD .*\$CCP4\).*~\1/$(get_libdir)/ccp4/data~g" \
+ -e "s~^\(.*setenv CLIBD_MON .*\)\$CCP4.*~\1\$CLIBD/monomers/~g" \
+ -e "s~^\(.*setenv CCP4_BROWSER.*\).*~\1 firefox~g" \
+ ${S}/include/ccp4.setup*
+
+ # Get rid of S instances
+ # Also the main clipper library is built as libclipper-core, not libclipper
+ sed -i \
+ -e "s:${S}:${ROOT}usr:g" \
+ -e "s:lclipper :lclipper-core:g" \
+ ${S}/bin/clipper-config
+# sed -i \
+# -e "s:${S}:${ROOT}usr:g" \
+# ${S}/$(get_libdir)/cctbx/cctbx_build/setpaths*
+
+ # Bins
+ EXEDESTTREE="/usr/bin" doexe ${S}/bin/*
+
+ # Libs
+ for file in ${S}/lib/*; do
+ if [[ -d ${file} ]]; then
+ continue
+ elif [[ -x ${file} ]]; then
+ dolib.so ${file}
+ else
+ INSDESTTREE="/usr/$(get_libdir)" doins ${file}
+ fi
+ done
+
+ # Fix libdir in all *.la files
+ sed -i \
+ -e "s:^\(libdir=\).*:\1\'/usr/$(get_libdir)\':g" \
+ ${D}/usr/$(get_libdir)/*.la
+
+ # Library symlinks
+ local LIBNAMES="libclipper-ccp4.so.0.0.0
+ libclipper-cif.so.0.0.0
+ libclipper-contrib.so.0.0.0
+ libclipper-core.so.0.0.0
+ libclipper-minimol.so.0.0.0
+ libclipper-mmdbold.so.0.0.0
+ libclipper-mmdb.so.0.0.0
+ libclipper-mtz.so.1.0.0
+ libclipper-phs.so.0.0.0
+ libjwc_c.so.0.1.1
+ libjwc_f.so.0.1.1
+ libssm.so.0.0.0
+ libxdl_viewextra.so.0.0.0
+ libxdl_view.so.2.0.0"
+
+ for LIBNAME in ${LIBNAMES}; do
+ library_dosym ${LIBNAME}
+ done
+
+# dosym libclipper-ccp4.so.0.0.0 /usr/$(get_libdir)/libclipper-ccp4.so
+# dosym libclipper-ccp4.so.0.0.0 /usr/$(get_libdir)/libclipper-ccp4.so.0
+# dosym libclipper-ccp4.so.0.0.0 /usr/$(get_libdir)/libclipper-ccp4.so.0.0
+#
+# dosym libclipper-cif.so.0.0.0 /usr/$(get_libdir)/libclipper-cif.so
+# dosym libclipper-cif.so.0.0.0 /usr/$(get_libdir)/libclipper-cif.so.0
+# dosym libclipper-cif.so.0.0.0 /usr/$(get_libdir)/libclipper-cif.so.0.0
+#
+# dosym libclipper-contrib.so.0.0.0 /usr/$(get_libdir)/libclipper-contrib.so
+# dosym libclipper-contrib.so.0.0.0 /usr/$(get_libdir)/libclipper-contrib.so.0
+# dosym libclipper-contrib.so.0.0.0 /usr/$(get_libdir)/libclipper-contrib.so.0.0
+#
+# dosym libclipper-core.so.0.0.0 /usr/$(get_libdir)/libclipper-core.so
+# dosym libclipper-core.so.0.0.0 /usr/$(get_libdir)/libclipper-core.so.0
+# dosym libclipper-core.so.0.0.0 /usr/$(get_libdir)/libclipper-core.so.0.0
+#
+# dosym libclipper-minimol.so.0.0.0 /usr/$(get_libdir)/libclipper-minimol.so
+# dosym libclipper-minimol.so.0.0.0 /usr/$(get_libdir)/libclipper-minimol.so.0
+# dosym libclipper-minimol.so.0.0.0 /usr/$(get_libdir)/libclipper-minimol.so.0.0
+#
+# dosym libclipper-mmdbold.so.0.0.0 /usr/$(get_libdir)/libclipper-mmdbold.so
+# dosym libclipper-mmdbold.so.0.0.0 /usr/$(get_libdir)/libclipper-mmdbold.so.0
+# dosym libclipper-mmdbold.so.0.0.0 /usr/$(get_libdir)/libclipper-mmdbold.so.0.0
+#
+# dosym libclipper-mmdb.so.0.0.0 /usr/$(get_libdir)/libclipper-mmdb.so
+# dosym libclipper-mmdb.so.0.0.0 /usr/$(get_libdir)/libclipper-mmdb.so.0
+# dosym libclipper-mmdb.so.0.0.0 /usr/$(get_libdir)/libclipper-mmdb.so.0.0
+#
+# dosym libclipper-mtz.so.1.0.0 /usr/$(get_libdir)/libclipper-mtz.so
+# dosym libclipper-mtz.so.1.0.0 /usr/$(get_libdir)/libclipper-mtz.so.1
+# dosym libclipper-mtz.so.1.0.0 /usr/$(get_libdir)/libclipper-mtz.so.1.0
+#
+# dosym libclipper-phs.so.0.0.0 /usr/$(get_libdir)/libclipper-phs.so
+# dosym libclipper-phs.so.0.0.0 /usr/$(get_libdir)/libclipper-phs.so.0
+# dosym libclipper-phs.so.0.0.0 /usr/$(get_libdir)/libclipper-phs.so.0.0
+#
+# dosym libjwc_c.so.0.1.1 /usr/$(get_libdir)/libjwc_c.so
+# dosym libjwc_c.so.0.1.1 /usr/$(get_libdir)/libjwc_c.so.0
+# dosym libjwc_c.so.0.1.1 /usr/$(get_libdir)/libjwc_c.so.0.1
+#
+# dosym libjwc_f.so.0.1.1 /usr/$(get_libdir)/libjwc_f.so
+# dosym libjwc_f.so.0.1.1 /usr/$(get_libdir)/libjwc_f.so.0
+# dosym libjwc_f.so.0.1.1 /usr/$(get_libdir)/libjwc_f.so.0.1
+#
+# dosym libssm.so.0.0.0 /usr/$(get_libdir)/libssm.so
+# dosym libssm.so.0.0.0 /usr/$(get_libdir)/libssm.so.0
+# dosym libssm.so.0.0.0 /usr/$(get_libdir)/libssm.so.0.0
+#
+# dosym libxdl_viewextra.so.0.0.0 /usr/$(get_libdir)/libxdl_viewextra.so
+# dosym libxdl_viewextra.so.0.0.0 /usr/$(get_libdir)/libxdl_viewextra.so.0
+# dosym libxdl_viewextra.so.0.0.0 /usr/$(get_libdir)/libxdl_viewextra.so.0.0
+#
+# dosym libxdl_view.so.2.0.0 /usr/$(get_libdir)/libxdl_view.so
+# dosym libxdl_view.so.2.0.0 /usr/$(get_libdir)/libxdl_view.so.2
+# dosym libxdl_view.so.2.0.0 /usr/$(get_libdir)/libxdl_view.so.2.0
+
+ # Environment files, setup scripts, etc.
+ INSDESTTREE="/usr/$(get_libdir)/ccp4/include" doins ${S}/include/*
+
+ # CCP4Interface - GUI
+ INSDESTTREE="/usr/$(get_libdir)/ccp4" doins -r ${S}/ccp4i
+ EXEDESTTREE="/usr/$(get_libdir)/ccp4/ccp4i/bin" doexe ${S}/ccp4i/bin/*
+
+ # Data
+ INSDESTTREE="/usr/$(get_libdir)/ccp4" doins -r ${S}/lib/data
+
+ # Include files
+ for i in ccp4 clipper mmdb ssm; do
+ INSDESTTREE="/usr/include" doins -r ${S}/include/${i}
+ done
+
+ # Install docs and examples
+
+ doman ${S}/man/cat1/*
+
+ mv ${S}/manual/README ${S}/manual/README-manual
+ dodoc ${S}/manual/*
+
+ dodoc ${S}/README ${S}/CHANGES
+
+ dodoc ${S}/doc/*
+ rm ${D}/usr/share/doc/${PF}/GNUmakefile.gz
+ rm ${D}/usr/share/doc/${PF}/COPYING.gz
+
+ dohtml -r ${S}/html/*
+ dodoc ${S}/examples/README
+
+ for i in data rnase toxd; do
+ DOCDESTTREE="examples/${i}" dodoc ${S}/examples/${i}/*
+ done
+
+ DOCDESTTREE="examples/tutorial" dohtml -r ${S}/examples/tutorial/html
+ DOCDESTTREE="examples/tutorial" dohtml examples/tutorial/tut.css
+ for i in data results; do
+ DOCDESTTREE="examples/tutorial/${i}" dodoc ${S}/examples/tutorial/${i}/*
+ done
+
+ for i in non-runnable runnable; do
+ DOCDESTTREE="examples/unix/${i}" dodoc ${S}/examples/unix/${i}
+ done
+
+ # Needed for ccp4i docs to work
+ dosym ../../share/doc/${PF}/examples /usr/$(get_libdir)/ccp4/examples
+ dosym ../../share/doc/${PF}/html /usr/$(get_libdir)/ccp4/examples
+
+ # Fix overlaps with other packages
+ rm ${D}/usr/share/man/man1/rasmol.1.gz
+}
+
+pkg_postinst() {
+ einfo "The Web browser defaults to firefox. Change CCP4_BROWSER"
+ einfo "in /usr/$(get_libdir)/ccp4/include/ccp4.setup* to modify this."
+
+ ewarn "Set your .bashrc or other shell login file to source"
+ ewarn "one of the ccp4.setup* files in ${ROOT}usr/$(get_libdir)/ccp4/include."
+ ewarn "CCP4 will not work without this."
+}
+
+# Links libname.so, libname.so.major and libname.so.major.minor
+# to libname.so.major.minor.micro
+library_dosym() {
+ local LIBNAME LIBDIR SUFFIX CORE_LIBNAME LIB_MAJOR LIB_MINOR LIB_VERSIONS
+
+ LIBNAME=${1}
+ LIBDIR=${2:-/usr/$(get_libdir)}
+
+ # Tag / on the end of libdir if needed
+ if [[ ${LIBDIR:$((${#LIBDIR}-1)):1} != "/" ]]; then
+ LIBDIR="${LIBDIR}/"
+ fi
+
+ if [[ "${LIBNAME}" != *.so.* ]]; then
+ msg="library_dosym() requires a shared, versioned library as an argument"
+ eerror "$msg"
+ die "$msg"
+ fi
+
+ SUFFIX=${LIBNAME##*so.}
+ CORE_LIBNAME=${LIBNAME%.so.*}
+ CORE_LIBNAME="${CORE_LIBNAME}.so"
+ LIB_MAJOR=${SUFFIX%%.*}
+ LIB_MINOR=${SUFFIX#*.}
+ LIB_MINOR=${SUFFIX%%.*}
+ LIB_VERSIONS="${LIB_MAJOR} ${LIB_MAJOR}.${LIB_MINOR}"
+ for LIB_SUFFIX in .${LIB_MAJOR} .${LIB_MAJOR}.${LIB_MINOR} ""; do
+ einfo "Calling dosym ${LIBNAME} ${LIBDIR} ${CORE_LIBNAME} ${LIB_SUFFIX}"
+ dosym ${LIBNAME} ${LIBDIR}${CORE_LIBNAME}${LIB_SUFFIX}
+ done
+}
diff --git a/sci-chemistry/ccp4/files/add-xdl-libdir.patch b/sci-chemistry/ccp4/files/add-xdl-libdir.patch
new file mode 100644
index 0000000..fbb5dad
--- /dev/null
+++ b/sci-chemistry/ccp4/files/add-xdl-libdir.patch
@@ -0,0 +1,29 @@
+--- ccp4-5.99.5.orig/configure 2005-12-05 02:26:38.000000000 -0800
++++ ccp4-5.99.5 /configure 2005-12-05 02:30:35.000000000 -0800
+@@ -1616,7 +1616,7 @@
+ sftools_FLAGS='$XFFLAGS $FOPTIM' \
+ lgglib_FLAGS='$XFFLAGS -O0' \
+ arp_waters_FLAGS='$XFFLAGS $FOPTIM' "}
+- XDL_LIB=${XDL_LIB:-"-L${CCP4_LIB} -lxdl_view"}
++ XDL_LIB=${XDL_LIB:-"-L${CCP4_LIB} -L${CCP4}/x-windows/xdl_view/src -lxdl_view"}
+ XWIN_LIB=${XWIN_LIB:-"-L/usr/X11R6/lib -lXt -lSM -lX11 -lICE"}
+ XTYPE=${XTYPE:-"LINUX"}
+ TIDY=${TIDY:-"rm -f sta*"}
+@@ -1752,7 +1752,7 @@
+ arp_waters_FLAGS='$XFFLAGS $FOPTIM -fforce-mem' \
+ mlphare_FLAGS='$XFFLAGS $FOPTIM -fno-move-all-movables' \
+ stereo_FLAGS='$XFFLAGS $FOPTIM -fno-move-all-movables' "}
+- XDL_LIB=${XDL_LIB:-"-L${CCP4_LIB} -lxdl_view"}
++ XDL_LIB=${XDL_LIB:-"-L${CCP4_LIB} -L${CCP4}/x-windows/xdl_view/src -lxdl_view"}
+ XWIN_LIB=${XWIN_LIB:-"-L/usr/X11R6/lib -lXt -lSM -lX11 -lICE"}
+ XTYPE=${XTYPE:-"LINUX"}
+ CXX_LIBS=${CXX_LIBS:-"-lstdc++"}
+@@ -1871,7 +1871,7 @@
+ refmac5_FLAGS='$XFFLAGS $FOPTIM' \
+ arp_waters_FLAGS='$XFFLAGS $FOPTIM'\
+ distang_FLAGS='$XFFLAGS -O1' "}
+- XDL_LIB=${XDL_LIB:-"-L${CCP4_LIB} -lxdl_view"}
++ XDL_LIB=${XDL_LIB:-"-L${CCP4_LIB} -L${CCP4}/x-windows/xdl_view/src -lxdl_view"}
+ XWIN_LIB=${XWIN_LIB:-"-L/usr/X11R6/lib -lXt -lSM -lX11 -lICE"}
+ XTYPE=${XTYPE:-"LINUX"}
+ if test "$shared_lib" = yes; then
diff --git a/sci-chemistry/ccp4/files/ccp4-5.99.5-install-libs-at-install-time.patch b/sci-chemistry/ccp4/files/ccp4-5.99.5-install-libs-at-install-time.patch
new file mode 100644
index 0000000..9170124
--- /dev/null
+++ b/sci-chemistry/ccp4/files/ccp4-5.99.5-install-libs-at-install-time.patch
@@ -0,0 +1,40 @@
+--- ccp4-5.99.5.orig/x-windows/Makefile.in 2005-12-05 01:30:59.000000000 -0800
++++ ccp4-5.99.5.orig/x-windows/Makefile.in 2005-12-05 01:31:50.000000000 -0800
+@@ -42,8 +42,7 @@
+ xdlview_dir = $(srcdir)/xdl_view/src
+ xdlview :
+ cd $(xdlview_dir) ; \
+- $(MAKE) $(MFLAGS) ; \
+- $(MAKE) install
++ $(MAKE) $(MFLAGS)
+
+ #
+ # rotgen and libraries
+@@ -56,15 +55,13 @@
+ #
+ libjwc_c :
+ cd $(libjwc_c_dir) ; \
+- $(MAKE) $(MFLAGS) ; \
+- $(MAKE) install
++ $(MAKE) $(MFLAGS)
+ #
+ # libjwc_f
+ #
+ libjwc_f :
+ cd $(libjwc_f_dir) ; \
+- $(MAKE) $(MFLAGS) ; \
+- $(MAKE) install
++ $(MAKE) $(MFLAGS)
+ #
+ # rotgen
+ #
+@@ -167,6 +164,9 @@
+ $(INSTALL_PROGRAM) $(rasmol_dir)/rasmol $(bindir)
+ cd $(rotgen_dir); $(MAKE) install
+ $(INSTALL_PROGRAM) $(mosflm_dir)/bin/ipmosflm $(bindir)
++ cd $(xdlview_dir); $(MAKE) install
++ cd $(libjwc_c_dir); $(MAKE) install
++ cd $(libjwc_f_dir); $(MAKE) install
+ #
+ # clean
+ #
diff --git a/sci-chemistry/ccp4/files/ccp4i-default-to-firefox.patch b/sci-chemistry/ccp4/files/ccp4i-default-to-firefox.patch
new file mode 100644
index 0000000..106db89
--- /dev/null
+++ b/sci-chemistry/ccp4/files/ccp4i-default-to-firefox.patch
@@ -0,0 +1,13 @@
+--- ccp4-5.99.5.orig/ccp4i/etc/configure.def.dist 2006-01-06 17:54:17.000000000 -0800
++++ ccp4-5.99.5/ccp4i/etc/configure.def.dist 2006-01-06 17:54:47.000000000 -0800
+@@ -54,8 +54,8 @@
+ MESSAGE _text ""
+ BLT_LIBRARY _text ""
+ MENU_LENGTH _positiveint 25
+-HYPERTEXT_VIEWER _text netscape
+-START_NETSCAPE _text netscape
++HYPERTEXT_VIEWER _text firefox
++START_NETSCAPE _text firefox
+ O_MAPMAN _text mapman
+ MAPMAN_MAXSIZE _positiveint 4194304
+ QUANTA_MBKALL _text mbkall
diff --git a/sci-chemistry/ccp4/files/check-blas-lapack-pthread.patch b/sci-chemistry/ccp4/files/check-blas-lapack-pthread.patch
new file mode 100644
index 0000000..02a2aa6
--- /dev/null
+++ b/sci-chemistry/ccp4/files/check-blas-lapack-pthread.patch
@@ -0,0 +1,103 @@
+--- ccp4-5.99.5.orig/configure 2006-01-17 00:35:36.000000000 -0800
++++ ccp4-5.99.5/configure 2006-01-17 10:44:39.000000000 -0800
+@@ -2410,12 +2410,12 @@
+ end
+ EOF
+ #firslty test without -lblas
+- test_compile="$FC $FOPTIM $XFFLAGS -o testlink testlink.f -llapack"
++ test_compile="$FC $FOPTIM $XFFLAGS -o testlink testlink.f -llapack -lpthread"
+ echo $test_compile
+ if { (eval $test_compile >& /dev/null ) 2>&1; } && test -s testlink ; then
+ # Compilation was okay
+- echo "... only -llapack needed"
+- XLAPACK_LIB="-llapack"
++ echo "... only -llapack -lpthread needed"
++ XLAPACK_LIB="-llapack -lpthread"
+ # Set the next two variables so that configure
+ # doesn't try to build netlib libraries
+ LAPACKLIB="lapack"
+@@ -2424,12 +2424,12 @@
+ tryblas=
+ else
+ echo "more than just -llapack needed...."
+- test_compile="$FC $FOPTIM $XFFLAGS -o testlink testlink.f -llapack -lblas"
++ test_compile="$FC $FOPTIM $XFFLAGS -o testlink testlink.f -llapack -lblas -lpthread"
+ echo $test_compile
+ if { (eval $test_compile ) 2>&1; } && test -s testlink ; then
+ # Compilation was okay
+- echo "...-llapack and -lblas were needed"
+- XLAPACK_LIB="-llapack -lblas"
++ echo "...-llapack, -lpthread and -lblas were needed"
++ XLAPACK_LIB="-llapack -lpthread -lblas"
+ # Set the next two variables so that configure
+ # doesn't try to build netlib libraries
+ LAPACKLIB="lapack blas"
+@@ -2720,8 +2720,8 @@
+ STOP
+ END
+ EOF
+- test_compile="$FC $FOPTIM $XFFLAGS -o testlink testlink.f -L$testdir -l$testlib"
+- test_ccompile="$FC $FOPTIM $XFFLAGS -o testlink testlink.f -L$testdir -l$testlib $XLDFLAGS"
++ test_compile="$FC $FOPTIM $XFFLAGS -o testlink testlink.f -L$testdir -l$testlib -lpthread"
++ test_ccompile="$FC $FOPTIM $XFFLAGS -o testlink testlink.f -L$testdir -l$testlib $XLDFLAGS -lpthread"
+ echo $test_compile
+ if { (eval $test_compile ) 2>&1; } && test -s testlink ; then
+ have_lapack=yes
+@@ -2738,7 +2738,7 @@
+ LAPACKDIR="$testdir"
+ echo "Link ok - using lib$LAPACKLIB from $LAPACKDIR"
+ #
+- XLAPACK_LIB="-L$LAPACKDIR -l$LAPACKLIB"
++ XLAPACK_LIB="-L$LAPACKDIR -l$LAPACKLIB -lpthread"
+ #
+ # Test to see if we need BLAS too
+ # Do this by trying to compile a test program
+@@ -2750,8 +2750,8 @@
+ if test -f testlsame ; then
+ rm -f testsame testlsame.o
+ fi
+- test_compile="$FC $FOPTIM $XFFLAGS -o testlsame lsametst.f -L$LAPACKDIR -l$LAPACKLIB"
+- test_ccompile="$FC $FOPTIM $XFFLAGS -o testlsame lsametst.f -L$LAPACKDIR -l$LAPACKLIB $XLDFLAGS"
++ test_compile="$FC $FOPTIM $XFFLAGS -o testlsame lsametst.f -L$LAPACKDIR -l$LAPACKLIB -lpthread"
++ test_ccompile="$FC $FOPTIM $XFFLAGS -o testlsame lsametst.f -L$LAPACKDIR -l$LAPACKLIB $XLDFLAGS -lpthread"
+ echo $test_compile
+ if { ( eval $test_compile) 2>&1;} && test -s testlsame ; then
+ have_blas=yes
+@@ -2830,8 +2830,8 @@
+ STOP
+ END
+ EOF
+- test_compile="$FC $FOPTIM $XFFLAGS -o testlink testlink.f -L$testdir -l$testlib"
+- test_ccompile="$FC $FOPTIM $XFFLAGS -o testlink testlink.f -L$testdir -l$testlib $XLDFLAGS"
++ test_compile="$FC $FOPTIM $XFFLAGS -o testlink testlink.f -L$testdir -l$testlib -lpthread"
++ test_ccompile="$FC $FOPTIM $XFFLAGS -o testlink testlink.f -L$testdir -l$testlib $XLDFLAGS -lpthread"
+ echo $test_compile
+ if { ( eval $test_compile) 2>&1;} && test -s testlink ; then
+ have_blas=yes
+@@ -3033,7 +3033,7 @@
+ if test -f testlsame ; then
+ rm -f testsame testlsame.o
+ fi
+- test_compile="$FC $FOPTIM $XFFLAGS -o testlsame lsametst.f -L$BLASDIR -l$BLASLIB"
++ test_compile="$FC $FOPTIM $XFFLAGS -o testlsame lsametst.f -L$BLASDIR -l$BLASLIB -lpthread"
+ echo $test_compile
+ if { ( eval $test_compile) 2>&1;} && test -s testlsame ; then
+ echo "Found LSAME in lib$BLASLIB"
+@@ -3046,7 +3046,7 @@
+ if test -f testxerbla ; then
+ rm -f testxerbla testxerbla.o
+ fi
+- test_compile="$FC $FOPTIM $XFFLAGS -o testxerbla xerblatst.f -L$BLASDIR -l$BLASLIB"
++ test_compile="$FC $FOPTIM $XFFLAGS -o testxerbla xerblatst.f -L$BLASDIR -l$BLASLIB -lpthread"
+ echo $test_compile
+ if { ( eval $test_compile) 2>&1;} && test -s testxerbla ; then
+ # Found lsame
+@@ -3080,7 +3080,7 @@
+ cd ../..
+ #
+ lapackdir=lib/lapack
+- XLAPACK_LIB="-L$srcdir/lib/lapack -llapack -L$BLASDIR -l$BLASLIB"
++ XLAPACK_LIB="-L$srcdir/lib/lapack -llapack -L$BLASDIR -l$BLASLIB -lpthread"
+ # netlib lapack is in fortran, so we may need the fortran libraries when
+ # we are linking using the C or C++ compilers
+ case $system in
diff --git a/sci-chemistry/ccp4/files/clipper-find-mccp4-includes.patch b/sci-chemistry/ccp4/files/clipper-find-mccp4-includes.patch
new file mode 100644
index 0000000..3bf5a06
--- /dev/null
+++ b/sci-chemistry/ccp4/files/clipper-find-mccp4-includes.patch
@@ -0,0 +1,11 @@
+--- ccp4-5.99.5/lib/clipper/configure.orig 2006-01-07 16:54:13.000000000 -0800
++++ ccp4-5.99.5/lib/clipper/configure 2006-01-07 16:54:31.000000000 -0800
+@@ -21751,7 +21751,7 @@
+
+ if test "x$mccp4_prefix" != x; then
+ # ie. mccp4=thing was given (thing is what we're checking for)
+- ac_MCCP4_CXXFLAGS="-I$mccp4_prefix/include"
++ ac_MCCP4_CXXFLAGS="-I$mccp4_prefix/include -I$mccp4_prefix/include/mccp4"
+ ac_MCCP4_LDOPTS="-L$mccp4_prefix/lib -lmccp4"
+ else
+ # treat as standard lib/include
diff --git a/sci-chemistry/ccp4/files/create-mosflm-bindir.patch b/sci-chemistry/ccp4/files/create-mosflm-bindir.patch
new file mode 100644
index 0000000..34d6197
--- /dev/null
+++ b/sci-chemistry/ccp4/files/create-mosflm-bindir.patch
@@ -0,0 +1,10 @@
+--- ccp4-5.99.5.orig/x-windows/Makefile.in 2006-01-06 12:31:02.000000000 -0800
++++ ccp4-5.99.5/x-windows/Makefile.in 2006-01-06 12:31:30.000000000 -0800
+@@ -158,6 +158,7 @@
+ install_obj = ipdisp.exe hklview xdldataman xdlmapman \
+ rotgen ipmosflm
+ install: all
++ mkdir -p $(bindir)
+ $(INSTALL_PROGRAM) $(srcdir)/ipdisp.exe $(bindir)
+ $(INSTALL_PROGRAM) $(srcdir)/ipdisp/ipdisp $(bindir)
+ $(INSTALL_PROGRAM) $(srcdir)/hklview $(bindir)
diff --git a/sci-chemistry/ccp4/files/digest-ccp4-5.99.5 b/sci-chemistry/ccp4/files/digest-ccp4-5.99.5
new file mode 100644
index 0000000..f00d379
--- /dev/null
+++ b/sci-chemistry/ccp4/files/digest-ccp4-5.99.5
@@ -0,0 +1,2 @@
+MD5 1dc37afc2597bceaabd971ba20d86ac3 ccp4-core.tar.gz 59156210
+MD5 ac745815cdff2c4c719e9171f029b3ba phaser-cctbx.tar.gz 17821731
diff --git a/sci-chemistry/ccp4/files/dont-build-pdb-extract.patch b/sci-chemistry/ccp4/files/dont-build-pdb-extract.patch
new file mode 100644
index 0000000..721b235
--- /dev/null
+++ b/sci-chemistry/ccp4/files/dont-build-pdb-extract.patch
@@ -0,0 +1,21 @@
+--- ccp4-5.99.5.orig/src/Makefile.in 2006-01-05 22:52:56.000000000 -0800
++++ ccp4-5.99.5/src/Makefile.in 2006-01-05 22:55:58.000000000 -0800
+@@ -57,7 +57,7 @@
+
+ PDB_EXTRACT_TARGETS = pdb_extract extract pdb_extract_sf
+
+-all : $(CTARGETS) $(CXXTARGETS) $(FTARGETS) $(OTHERS) $(PDB_EXTRACT_SUITE) ccp4mapwish phaser
++all : $(CTARGETS) $(CXXTARGETS) $(FTARGETS) $(OTHERS) ccp4mapwish phaser
+
+ .PHONY : all install instsome clean realclean distclean
+
+@@ -67,9 +67,6 @@
+ -for i in $(CTARGETS) $(CXXTARGETS) $(FTARGETS) $(OTHERS) $(JAVATARGETS); do \
+ test -s $$i && $(INSTALL_PROGRAM) `pwd`/$$i $(bindir)/$$i || true ;\
+ done
+- for i in $(PDB_EXTRACT_TARGETS); do \
+- test -s harvest_app_/pdb_extract/bin/$$i && $(INSTALL_PROGRAM) harvest_app_/pdb_extract/bin/$$i $(bindir)/$$i || true ;\
+- done
+ if test -f ccp4mapwish_/Makefile; then \
+ cd ccp4mapwish_; $(MAKE) -i $(MFLAGS) $@; \
+ else true; fi
diff --git a/sci-chemistry/ccp4/files/dont-build-rasmol.patch b/sci-chemistry/ccp4/files/dont-build-rasmol.patch
new file mode 100644
index 0000000..8da54fd
--- /dev/null
+++ b/sci-chemistry/ccp4/files/dont-build-rasmol.patch
@@ -0,0 +1,19 @@
+--- ccp4-5.99.5.orig/x-windows/Makefile.in 2005-12-05 03:06:57.000000000 -0800
++++ ccp4-5.99.5/x-windows/Makefile.in 2005-12-05 03:07:23.000000000 -0800
+@@ -35,7 +35,7 @@
+ #
+ # all
+ #
+-all : xdlview libjwc_c libjwc_f rotgen_ hklview ipdisp.exe xdlgjk xjiffy rasmol2 ipmosflm
++all : xdlview libjwc_c libjwc_f rotgen_ hklview ipdisp.exe xdlgjk xjiffy ipmosflm
+ #
+ # xdl_view
+ #
+@@ -161,7 +161,6 @@
+ $(INSTALL_PROGRAM) $(srcdir)/xdldataman $(bindir)
+ $(INSTALL_PROGRAM) $(srcdir)/xdlmapman $(bindir)
+ cd $(srcdir)/XCCPJIFFY ; $(MAKE) install
+- $(INSTALL_PROGRAM) $(rasmol_dir)/rasmol $(bindir)
+ cd $(rotgen_dir); $(MAKE) install
+ $(INSTALL_PROGRAM) $(mosflm_dir)/bin/ipmosflm $(bindir)
+ cd $(xdlview_dir); $(MAKE) install
diff --git a/sci-chemistry/ccp4/files/dont-chmod-python-binary.patch b/sci-chemistry/ccp4/files/dont-chmod-python-binary.patch
new file mode 100644
index 0000000..21f3053
--- /dev/null
+++ b/sci-chemistry/ccp4/files/dont-chmod-python-binary.patch
@@ -0,0 +1,14 @@
+--- ccp4-5.99.5.orig/lib/cctbx/cctbx_sources/libtbx/libtbx/config.py 2006-01-06 21:48:09.000000000 -0800
++++ ccp4-5.99.5/lib/cctbx/cctbx_sources/libtbx/libtbx/config.py 2006-01-06 21:46:24.000000000 -0800
+@@ -756,8 +756,9 @@
+ else:
+ action = self.write_bin_sh_dispatcher
+ ext = ""
+- try: os.chmod(source_file, 0755)
+- except OSError: pass
++ if source_file != self.python_exe:
++ try: os.chmod(source_file, 0755)
++ except OSError: pass
+ target_file_ext = target_file + ext
+ remove_or_rename(target_file_ext)
+ try: action(source_file, target_file_ext)
diff --git a/sci-chemistry/ccp4/files/dont-make-dirs-in-configure.patch b/sci-chemistry/ccp4/files/dont-make-dirs-in-configure.patch
new file mode 100644
index 0000000..24504d9
--- /dev/null
+++ b/sci-chemistry/ccp4/files/dont-make-dirs-in-configure.patch
@@ -0,0 +1,87 @@
+--- ccp4-5.99.5.orig/configure 2005-12-05 02:03:51.000000000 -0800
++++ ccp4-5.99.5/configure 2005-12-05 02:03:54.000000000 -0800
+@@ -604,45 +604,45 @@
+ # echo "! Beware -- the $system installation isn't properly tested." ; }
+ syswarn='echo; echo "! Beware -- the $system installation is not properly tested."'
+
+-if test -z "$onlylibs" ; then
+- for i in CCP4_SCR BINSORT_SCR; do
+- if ( eval test -d \$$i || eval mkdir \$$i ) ; then :
+- else
+- eval echo "! No directory \$$i and can\'t create it."
+- echo " Check the value of $i."
+- badvar=1
+- fi
+- done
+-
+- for i in libdir bindir; do
+- if ( eval test -d \$$i || eval mkdir \$$i ) ; then :
+- else
+- eval echo "! No directory \$$i and can\'t create it."
+- echo " Check the argument of --$i."
+- badvar=1
+- fi
+- done
+-
+- for i in $dotsrc $dotunsupp $dotunsuppsrc ./lib ./lib/src ./lib/data ./ccp4i/etc/unix $mosflmdir/lib $mosflmdir/bin $mosflmdir/cbf/lib ; do
+- if test -d $i || mkdir $i; then :
+- else
+- eval echo "! No directory $i and can\'t create it."
+- badvar=1
+- fi
+- done
+-else
+- # Kludge to fool the "Makefile" target in the top-level CCP4
+- # Makefile into not trying to remake src/Makefile.in
+- for i in $srcdir/src $srcdir/lib/src ; do
+- if test -d $i || mkdir $i; then
+- if ! test -f $i/Makefile.in ; then
+- echo
+- echo "onlylibs: making dummy file $i/Makefile.in"
+- touch $i/Makefile.in
+- fi
+- fi
+- done
+-fi
++#if test -z "$onlylibs" ; then
++# for i in CCP4_SCR BINSORT_SCR; do
++# if ( eval test -d \$$i || eval mkdir \$$i ) ; then :
++# else
++# eval echo "! No directory \$$i and can\'t create it."
++# echo " Check the value of $i."
++# badvar=1
++# fi
++# done
++#
++# for i in libdir bindir; do
++# if ( eval test -d \$$i || eval mkdir \$$i ) ; then :
++# else
++# eval echo "! No directory \$$i and can\'t create it."
++# echo " Check the argument of --$i."
++# badvar=1
++# fi
++# done
++#
++# for i in $dotsrc $dotunsupp $dotunsuppsrc ./lib ./lib/src ./lib/data ./ccp4i/etc/unix $mosflmdir/lib $mosflmdir/bin $mosflmdir/cbf/lib ; do
++# if test -d $i || mkdir $i; then :
++# else
++# eval echo "! No directory $i and can\'t create it."
++# badvar=1
++# fi
++# done
++#else
++# # Kludge to fool the "Makefile" target in the top-level CCP4
++# # Makefile into not trying to remake src/Makefile.in
++# for i in $srcdir/src $srcdir/lib/src ; do
++# if test -d $i || mkdir $i; then
++# if ! test -f $i/Makefile.in ; then
++# echo
++# echo "onlylibs: making dummy file $i/Makefile.in"
++# touch $i/Makefile.in
++# fi
++# fi
++# done
++#fi
+
+ ### sanity checks
+
diff --git a/sci-chemistry/ccp4/files/make-ipmosflm-dir.patch b/sci-chemistry/ccp4/files/make-ipmosflm-dir.patch
new file mode 100644
index 0000000..7813141
--- /dev/null
+++ b/sci-chemistry/ccp4/files/make-ipmosflm-dir.patch
@@ -0,0 +1,10 @@
+--- ccp4-5.99.5.orig/x-windows/Mosflm/mosflm/Makefile.in 2006-01-06 00:04:12.000000000 -0800
++++ ccp4-5.99.5/x-windows/Mosflm/mosflm/Makefile.in 2006-01-06 00:04:41.000000000 -0800
+@@ -37,6 +37,7 @@
+ ${F77} ${FFLAGS} -o $@ $<
+
+ ipmosflm: ${OBJS}
++ mkdir -p ${DPSBIN}
+ ${FLINK} ${FFLAGS} ${OBJS} ${LOCALLIBS} ${LIBS} \
+ -o ${DPSBIN}/ipmosflm ${LDFLAGS}
+
diff --git a/sci-chemistry/ccp4/files/make-mosflm-cbf-libdir.patch b/sci-chemistry/ccp4/files/make-mosflm-cbf-libdir.patch
new file mode 100644
index 0000000..ae4b763
--- /dev/null
+++ b/sci-chemistry/ccp4/files/make-mosflm-cbf-libdir.patch
@@ -0,0 +1,11 @@
+--- ccp4-5.99.5.orig/x-windows/Mosflm/cbf/Makefile.in 2006-01-05 23:42:19.000000000 -0800
++++ ccp4-5.99.5/x-windows/Mosflm/cbf/Makefile.in 2006-01-05 23:43:35.000000000 -0800
+@@ -132,7 +132,7 @@
+ #
+ # CBF library
+ #
+-$(LIB)/libcbf.a: $(SOURCE) $(HEADERS) $(COMMONDEP)
++$(LIB)/libcbf.a: $(SOURCE) $(HEADERS) $(COMMONDEP) $(LIB)
+ $(CC) $(CFLAGS) $(INCLUDES) $(WARNINGS) -c $(SOURCE)
+ $(AR) cr $@ *.o
+ $(RANLIB) $@
diff --git a/sci-chemistry/ccp4/files/make-mosflm-index-libdir.patch b/sci-chemistry/ccp4/files/make-mosflm-index-libdir.patch
new file mode 100644
index 0000000..97607b6
--- /dev/null
+++ b/sci-chemistry/ccp4/files/make-mosflm-index-libdir.patch
@@ -0,0 +1,10 @@
+--- ccp4-5.99.5.orig/x-windows/Mosflm/index/Makefile.in 2006-01-05 23:15:09.000000000 -0800
++++ ccp4-5.99.5/x-windows/Mosflm/index/Makefile.in 2006-01-05 23:15:30.000000000 -0800
+@@ -76,6 +76,7 @@
+
+ # local version of libdps_index.a
+ ${LIB}/dps_index.a: ${IOBJS} ${HOBJS}
++ mkdir -p ${LIB}
+ ar ru ${LIB}/dps_index.a ${IOBJS} ${HOBJS}
+
+ ${LIB}/libpeak.a:
diff --git a/sci-chemistry/ccp4/files/make-mosflm-libdir.patch b/sci-chemistry/ccp4/files/make-mosflm-libdir.patch
new file mode 100644
index 0000000..eac1b9f
--- /dev/null
+++ b/sci-chemistry/ccp4/files/make-mosflm-libdir.patch
@@ -0,0 +1,10 @@
+--- ccp4-5.99.5.orig/x-windows/Mosflm/src/dps/index/Makefile.in 2006-01-05 22:48:47.000000000 -0800
++++ ccp4-5.99.5/x-windows/Mosflm/src/dps/index/Makefile.in 2006-01-05 22:49:02.000000000 -0800
+@@ -42,6 +42,7 @@
+ $(LOCALLIBS) $(LIBS)
+
+ index: $(IOBJS)
++ mkdir -p $(LIBDIR)
+ ${AR} $(AR_FLAGS) $(LIBDIR)/libdps_index.a $(IOBJS)
+ chmod 644 $(LIBDIR)/libdps_index.a
+
diff --git a/sci-chemistry/ccp4/files/make-phaser-bindir.patch b/sci-chemistry/ccp4/files/make-phaser-bindir.patch
new file mode 100644
index 0000000..cdf1460
--- /dev/null
+++ b/sci-chemistry/ccp4/files/make-phaser-bindir.patch
@@ -0,0 +1,10 @@
+--- ccp4-5.99.5.orig/src/phaser/ccp4_build 2006-01-06 15:56:22.000000000 -0800
++++ ccp4-5.99.5/src/phaser/ccp4_build 2006-01-06 15:55:49.000000000 -0800
+@@ -65,6 +65,7 @@
+ ./install $phaseropts --static_libraries --component="phaser" --target="exe/phaser"
+
+ # Install in CCP4 bindir
++mkdir -p $bindir
+ cp phaser-$PHASER_VERSION/build/$PHASER_MTYPE/exe/phaser $bindir
+
+ echo " "
diff --git a/sci-chemistry/ccp4/files/no-phaser-ld-assume-kernel.patch b/sci-chemistry/ccp4/files/no-phaser-ld-assume-kernel.patch
new file mode 100644
index 0000000..8011c3f
--- /dev/null
+++ b/sci-chemistry/ccp4/files/no-phaser-ld-assume-kernel.patch
@@ -0,0 +1,15 @@
+--- ccp4-5.99.5.orig/src/phaser/conf/configure-options 2006-01-06 11:27:28.000000000 -0800
++++ ccp4-5.99.5/src/phaser/conf/configure-options 2006-01-06 11:26:29.000000000 -0800
+@@ -33,9 +33,9 @@
+ set font_dirs = ''
+ set strip_command = 'strip'
+ set wxpython_env = ''
+- if ( "$PHASER_MTYPE" == "intel-linux" ) then
+- setenv LD_ASSUME_KERNEL 2.4.1
+- endif
++# if ( "$PHASER_MTYPE" == "intel-linux" ) then
++# setenv LD_ASSUME_KERNEL 2.4.1
++# endif
+ else if ( "$PHASER_MTYPE" == "alpha-tru64" ) then
+ set python_configure = '--with-cxx=cxx'
+ set libpng_arch = 'dec'
diff --git a/sci-chemistry/ccp4/files/pass-clipper-enablevals.patch b/sci-chemistry/ccp4/files/pass-clipper-enablevals.patch
new file mode 100644
index 0000000..3e1a8b0
--- /dev/null
+++ b/sci-chemistry/ccp4/files/pass-clipper-enablevals.patch
@@ -0,0 +1,11 @@
+--- ccp4-5.99.5.orig/configure 2006-01-06 11:45:43.000000000 -0800
++++ ccp4-5.99.5/configure 2006-01-06 11:46:53.000000000 -0800
+@@ -3210,7 +3210,7 @@
+ #ccp4 setup
+ xopts="${xopts} --with-ccp4=${srcdir}"
+ #interface setup
+- xopts="${xopts} --enable-mmdb --enable-cif --enable-ccp4 --enable-minimol"
++ xopts="${xopts} --enable-mmdb --enable-cif --enable-ccp4 --enable-minimol --enable-mmdbold --enable-mtz --with-mccp4=/usr"
+ echo
+ echo "********* CLIPPER CONFIGURATION ***********"
+ echo